<form [formGroup]="form" #ngForm="ngForm" (ngSubmit)="submit()">
  <mat-form-field class="example-full-width" appearance="fill">
    <mat-label>Description</mat-label>
    <input type="text" matInput formControlName="description" placeholder="Ex. pat@example.com" />
    <mat-error *ngIf="form.controls.description.hasError('required')">
      Description is <strong>required</strong>
    </mat-error>
  </mat-form-field>
  <button mat-flat-button color="primary" type="submit" [disabled]="loading$ | async">Add new Ticket</button>
</form>
